import { TypesManager } from "../src/typesManager"
import { MockLog } from "./mockLog"

class TestTool {
  async run() {
    const log = new MockLog()
    let container = { log }
    log.info(`>>> Run Surya tests`)
    const typesManager = new TypesManager(container)
    await typesManager.loadTypeModules(__dirname + "/types")
    log.info(`POST Test ===============================================`)
    const typeDefs = typesManager.getTypeDefs()

    log.info(`TypeDefs: ${typeDefs}`)
    log.info(
      `-----------------------\nResolvers: ${JSON.stringify(
        typesManager.getResolvers(),
        null,
        2
      )}`
    )
    log.info(
      `-----------------------\nManagers: ${JSON.stringify(
        Object.keys(typesManager.getManagers(), null, 2)
      )}`
    )
  }
}

const test = new TestTool()
test.run()
